<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Style\Borders</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic inherited">
        <a href="#method___clone" title="__clone ::Implement PHP __clone to create a deep clone, not just a shallow copy.">
            <span class="description">Implement PHP __clone to create a deep clone, not just a shallow copy.</span><pre>__clone</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method___construct" title="__construct ::Create a new Supervisor.">
            <span class="description">Create a new Supervisor.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_applyFromArray" title="applyFromArray ::Apply styles from array.">
            <span class="description">Apply styles from array.</span><pre>applyFromArray</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_bindParent" title="bindParent ::Bind parent. Only used for supervisor.">
            <span class="description">Bind parent. Only used for supervisor.</span><pre>bindParent</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getActiveCell" title="getActiveCell ::Get the currently active cell coordinate in currently active sheet.">
            <span class="description">Get the currently active cell coordinate in currently active sheet.</span><pre>getActiveCell</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getActiveSheet" title="getActiveSheet ::Get the currently active sheet. Only used for supervisor.">
            <span class="description">Get the currently active sheet. Only used for supervisor.</span><pre>getActiveSheet</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getAllBorders" title="getAllBorders ::Get AllBorders (pseudo-border). Only applies to supervisor.">
            <span class="description">Get AllBorders (pseudo-border). Only applies to supervisor.</span><pre>getAllBorders</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getBottom" title="getBottom ::Get Bottom.">
            <span class="description">Get Bottom.</span><pre>getBottom</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDiagonal" title="getDiagonal ::Get Diagonal.">
            <span class="description">Get Diagonal.</span><pre>getDiagonal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDiagonalDirection" title="getDiagonalDirection ::Get DiagonalDirection.">
            <span class="description">Get DiagonalDirection.</span><pre>getDiagonalDirection</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHashCode" title="getHashCode ::Get hash code.">
            <span class="description">Get hash code.</span><pre>getHashCode</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getHorizontal" title="getHorizontal ::Get Horizontal (pseudo-border). Only applies to supervisor.">
            <span class="description">Get Horizontal (pseudo-border). Only applies to supervisor.</span><pre>getHorizontal</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getInside" title="getInside ::Get Inside (pseudo-border). Only applies to supervisor.">
            <span class="description">Get Inside (pseudo-border). Only applies to supervisor.</span><pre>getInside</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getIsSupervisor" title="getIsSupervisor ::Is this a supervisor or a cell style component?">
            <span class="description">Is this a supervisor or a cell style component?</span><pre>getIsSupervisor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLeft" title="getLeft ::Get Left.">
            <span class="description">Get Left.</span><pre>getLeft</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getOutline" title="getOutline ::Get Outline (pseudo-border). Only applies to supervisor.">
            <span class="description">Get Outline (pseudo-border). Only applies to supervisor.</span><pre>getOutline</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getRight" title="getRight ::Get Right.">
            <span class="description">Get Right.</span><pre>getRight</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_getSelectedCells" title="getSelectedCells ::Get the currently active cell coordinate in currently active sheet.">
            <span class="description">Get the currently active cell coordinate in currently active sheet.</span><pre>getSelectedCells</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getSharedComponent" title="getSharedComponent ::Get the shared style component for the currently active cell in currently active sheet.">
            <span class="description">Get the shared style component for the currently active cell in currently active sheet.</span><pre>getSharedComponent</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getStyleArray" title="getStyleArray ::Build style array from subcomponents.">
            <span class="description">Build style array from subcomponents.</span><pre>getStyleArray</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getTop" title="getTop ::Get Top.">
            <span class="description">Get Top.</span><pre>getTop</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getVertical" title="getVertical ::Get Vertical (pseudo-border). Only applies to supervisor.">
            <span class="description">Get Vertical (pseudo-border). Only applies to supervisor.</span><pre>getVertical</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setDiagonalDirection" title="setDiagonalDirection ::Set DiagonalDirection.">
            <span class="description">Set DiagonalDirection.</span><pre>setDiagonalDirection</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_DIAGONAL_BOTH" title="DIAGONAL_BOTH ::">
                        <span class="description"></span><pre>DIAGONAL_BOTH</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_DIAGONAL_DOWN" title="DIAGONAL_DOWN ::">
                        <span class="description"></span><pre>DIAGONAL_DOWN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_DIAGONAL_NONE" title="DIAGONAL_NONE ::">
                        <span class="description"></span><pre>DIAGONAL_NONE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_DIAGONAL_UP" title="DIAGONAL_UP ::">
                        <span class="description"></span><pre>DIAGONAL_UP</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Borders</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/PhpOffice.PhpSpreadsheet.Style.Supervisor.html">\PhpOffice\PhpSpreadsheet\Style\Supervisor</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___clone"></a>
                        <div class="element clickable methodpublic method___clone inherited" data-toggle="collapse" data-target=".method___clone .collapse">
                            <h2>Implement PHP __clone to create a deep clone, not just a shallow copy.</h2>
                            <pre>__clone()</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct inherited" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new Supervisor.</h2>
                            <pre>__construct(boolean $isSupervisor = false)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$isSupervisor</h4>
                                                <code>boolean</code><p><p>Flag indicating if this is a supervisor or not
Leave this value at default unless you understand exactly what
its ramifications are</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_applyFromArray"></a>
                        <div class="element clickable methodpublic method_applyFromArray" data-toggle="collapse" data-target=".method_applyFromArray .collapse">
                            <h2>Apply styles from array.</h2>
                            <pre>applyFromArray(array $pStyles): \PhpOffice\PhpSpreadsheet\Style\Borders</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p><code>
$spreadsheet-&gt;getActiveSheet()-&gt;getStyle('B2')-&gt;getBorders()-&gt;applyFromArray(
[
'bottom' =&gt; [
'borderStyle' =&gt; Border::BORDER_DASHDOT,
'color' =&gt; [
'rgb' =&gt; '808080'
]
],
'top' =&gt; [
'borderStyle' =&gt; Border::BORDER_DASHDOT,
'color' =&gt; [
'rgb' =&gt; '808080'
]
]
]
);
</code></p>
<p><code>
$spreadsheet-&gt;getActiveSheet()-&gt;getStyle('B2')-&gt;getBorders()-&gt;applyFromArray(
[
'allBorders' =&gt; [
'borderStyle' =&gt; Border::BORDER_DASHDOT,
'color' =&gt; [
'rgb' =&gt; '808080'
]
]
]
);
</code></p></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pStyles</h4>
                                                <code>array</code><p><p>Array containing style information</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Borders.html">\PhpOffice\PhpSpreadsheet\Style\Borders</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_bindParent"></a>
                        <div class="element clickable methodpublic method_bindParent inherited" data-toggle="collapse" data-target=".method_bindParent .collapse">
                            <h2>Bind parent. Only used for supervisor.</h2>
                            <pre>bindParent(\PhpOffice\PhpSpreadsheet\Spreadsheet|\PhpOffice\PhpSpreadsheet\Style\Style $parent,null|string $parentPropertyName = null): \PhpOffice\PhpSpreadsheet\Style\Supervisor</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$parent</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a>|\PhpOffice\PhpSpreadsheet\Style\Style</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$parentPropertyName</h4>
                                                <code>null|string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Supervisor.html">\PhpOffice\PhpSpreadsheet\Style\Supervisor</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getActiveCell"></a>
                        <div class="element clickable methodpublic method_getActiveCell inherited" data-toggle="collapse" data-target=".method_getActiveCell .collapse">
                            <h2>Get the currently active cell coordinate in currently active sheet.</h2>
                            <pre>getActiveCell(): string</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>E.g. 'A1'</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getActiveSheet"></a>
                        <div class="element clickable methodpublic method_getActiveSheet inherited" data-toggle="collapse" data-target=".method_getActiveSheet .collapse">
                            <h2>Get the currently active sheet. Only used for supervisor.</h2>
                            <pre>getActiveSheet(): \PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>\PhpOffice\PhpSpreadsheet\Worksheet\Worksheet</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getAllBorders"></a>
                        <div class="element clickable methodpublic method_getAllBorders" data-toggle="collapse" data-target=".method_getAllBorders .collapse">
                            <h2>Get AllBorders (pseudo-border). Only applies to supervisor.</h2>
                            <pre>getAllBorders(): \PhpOffice\PhpSpreadsheet\Style\Border</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getBottom"></a>
                        <div class="element clickable methodpublic method_getBottom" data-toggle="collapse" data-target=".method_getBottom .collapse">
                            <h2>Get Bottom.</h2>
                            <pre>getBottom(): \PhpOffice\PhpSpreadsheet\Style\Border</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDiagonal"></a>
                        <div class="element clickable methodpublic method_getDiagonal" data-toggle="collapse" data-target=".method_getDiagonal .collapse">
                            <h2>Get Diagonal.</h2>
                            <pre>getDiagonal(): \PhpOffice\PhpSpreadsheet\Style\Border</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDiagonalDirection"></a>
                        <div class="element clickable methodpublic method_getDiagonalDirection" data-toggle="collapse" data-target=".method_getDiagonalDirection .collapse">
                            <h2>Get DiagonalDirection.</h2>
                            <pre>getDiagonalDirection(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHashCode"></a>
                        <div class="element clickable methodpublic method_getHashCode" data-toggle="collapse" data-target=".method_getHashCode .collapse">
                            <h2>Get hash code.</h2>
                            <pre>getHashCode(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>Hash code</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getHorizontal"></a>
                        <div class="element clickable methodpublic method_getHorizontal" data-toggle="collapse" data-target=".method_getHorizontal .collapse">
                            <h2>Get Horizontal (pseudo-border). Only applies to supervisor.</h2>
                            <pre>getHorizontal(): \PhpOffice\PhpSpreadsheet\Style\Border</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getInside"></a>
                        <div class="element clickable methodpublic method_getInside" data-toggle="collapse" data-target=".method_getInside .collapse">
                            <h2>Get Inside (pseudo-border). Only applies to supervisor.</h2>
                            <pre>getInside(): \PhpOffice\PhpSpreadsheet\Style\Border</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getIsSupervisor"></a>
                        <div class="element clickable methodpublic method_getIsSupervisor inherited" data-toggle="collapse" data-target=".method_getIsSupervisor .collapse">
                            <h2>Is this a supervisor or a cell style component?</h2>
                            <pre>getIsSupervisor(): boolean</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLeft"></a>
                        <div class="element clickable methodpublic method_getLeft" data-toggle="collapse" data-target=".method_getLeft .collapse">
                            <h2>Get Left.</h2>
                            <pre>getLeft(): \PhpOffice\PhpSpreadsheet\Style\Border</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getOutline"></a>
                        <div class="element clickable methodpublic method_getOutline" data-toggle="collapse" data-target=".method_getOutline .collapse">
                            <h2>Get Outline (pseudo-border). Only applies to supervisor.</h2>
                            <pre>getOutline(): \PhpOffice\PhpSpreadsheet\Style\Border</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getRight"></a>
                        <div class="element clickable methodpublic method_getRight" data-toggle="collapse" data-target=".method_getRight .collapse">
                            <h2>Get Right.</h2>
                            <pre>getRight(): \PhpOffice\PhpSpreadsheet\Style\Border</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSelectedCells"></a>
                        <div class="element clickable methodpublic method_getSelectedCells inherited" data-toggle="collapse" data-target=".method_getSelectedCells .collapse">
                            <h2>Get the currently active cell coordinate in currently active sheet.</h2>
                            <pre>getSelectedCells(): string</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p><p>E.g. 'A1'</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getSharedComponent"></a>
                        <div class="element clickable methodpublic method_getSharedComponent" data-toggle="collapse" data-target=".method_getSharedComponent .collapse">
                            <h2>Get the shared style component for the currently active cell in currently active sheet.</h2>
                            <pre>getSharedComponent(): \PhpOffice\PhpSpreadsheet\Style\Borders</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Only used for style supervisor.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Borders.html">\PhpOffice\PhpSpreadsheet\Style\Borders</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getStyleArray"></a>
                        <div class="element clickable methodpublic method_getStyleArray" data-toggle="collapse" data-target=".method_getStyleArray .collapse">
                            <h2>Build style array from subcomponents.</h2>
                            <pre>getStyleArray(array $array): array</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$array</h4>
                                                <code>array</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>array</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getTop"></a>
                        <div class="element clickable methodpublic method_getTop" data-toggle="collapse" data-target=".method_getTop .collapse">
                            <h2>Get Top.</h2>
                            <pre>getTop(): \PhpOffice\PhpSpreadsheet\Style\Border</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getVertical"></a>
                        <div class="element clickable methodpublic method_getVertical" data-toggle="collapse" data-target=".method_getVertical .collapse">
                            <h2>Get Vertical (pseudo-border). Only applies to supervisor.</h2>
                            <pre>getVertical(): \PhpOffice\PhpSpreadsheet\Style\Border</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setDiagonalDirection"></a>
                        <div class="element clickable methodpublic method_setDiagonalDirection" data-toggle="collapse" data-target=".method_setDiagonalDirection .collapse">
                            <h2>Set DiagonalDirection.</h2>
                            <pre>setDiagonalDirection(integer $pValue): \PhpOffice\PhpSpreadsheet\Style\Borders</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>integer</code><p><p>see self::DIAGONAL_*</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Borders.html">\PhpOffice\PhpSpreadsheet\Style\Borders</a></code><p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_DIAGONAL_NONE"> </a>
                            <div class="element clickable constant constant_DIAGONAL_NONE" data-toggle="collapse" data-target=".constant_DIAGONAL_NONE .collapse">
                                <h2>DIAGONAL_NONE</h2>
                                <pre>DIAGONAL_NONE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_DIAGONAL_UP"> </a>
                            <div class="element clickable constant constant_DIAGONAL_UP" data-toggle="collapse" data-target=".constant_DIAGONAL_UP .collapse">
                                <h2>DIAGONAL_UP</h2>
                                <pre>DIAGONAL_UP</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_DIAGONAL_DOWN"> </a>
                            <div class="element clickable constant constant_DIAGONAL_DOWN" data-toggle="collapse" data-target=".constant_DIAGONAL_DOWN .collapse">
                                <h2>DIAGONAL_DOWN</h2>
                                <pre>DIAGONAL_DOWN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_DIAGONAL_BOTH"> </a>
                            <div class="element clickable constant constant_DIAGONAL_BOTH" data-toggle="collapse" data-target=".constant_DIAGONAL_BOTH .collapse">
                                <h2>DIAGONAL_BOTH</h2>
                                <pre>DIAGONAL_BOTH</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_left"> </a>
                            <div class="element clickable propertyprotected property_left" data-toggle="collapse" data-target=".property_left .collapse">
                                <h2>Left.</h2>
                                <pre>left :\PhpOffice\PhpSpreadsheet\Style\Border</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_right"> </a>
                            <div class="element clickable propertyprotected property_right" data-toggle="collapse" data-target=".property_right .collapse">
                                <h2>Right.</h2>
                                <pre>right :\PhpOffice\PhpSpreadsheet\Style\Border</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_top"> </a>
                            <div class="element clickable propertyprotected property_top" data-toggle="collapse" data-target=".property_top .collapse">
                                <h2>Top.</h2>
                                <pre>top :\PhpOffice\PhpSpreadsheet\Style\Border</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_bottom"> </a>
                            <div class="element clickable propertyprotected property_bottom" data-toggle="collapse" data-target=".property_bottom .collapse">
                                <h2>Bottom.</h2>
                                <pre>bottom :\PhpOffice\PhpSpreadsheet\Style\Border</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_diagonal"> </a>
                            <div class="element clickable propertyprotected property_diagonal" data-toggle="collapse" data-target=".property_diagonal .collapse">
                                <h2>Diagonal.</h2>
                                <pre>diagonal :\PhpOffice\PhpSpreadsheet\Style\Border</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_diagonalDirection"> </a>
                            <div class="element clickable propertyprotected property_diagonalDirection" data-toggle="collapse" data-target=".property_diagonalDirection .collapse">
                                <h2>DiagonalDirection.</h2>
                                <pre>diagonalDirection :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                            <a id="property_allBorders"> </a>
                            <div class="element clickable propertyprotected property_allBorders" data-toggle="collapse" data-target=".property_allBorders .collapse">
                                <h2>All borders pseudo-border. Only applies to supervisor.</h2>
                                <pre>allBorders :\PhpOffice\PhpSpreadsheet\Style\Border</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_outline"> </a>
                            <div class="element clickable propertyprotected property_outline" data-toggle="collapse" data-target=".property_outline .collapse">
                                <h2>Outline pseudo-border. Only applies to supervisor.</h2>
                                <pre>outline :\PhpOffice\PhpSpreadsheet\Style\Border</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_inside"> </a>
                            <div class="element clickable propertyprotected property_inside" data-toggle="collapse" data-target=".property_inside .collapse">
                                <h2>Inside pseudo-border. Only applies to supervisor.</h2>
                                <pre>inside :\PhpOffice\PhpSpreadsheet\Style\Border</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_vertical"> </a>
                            <div class="element clickable propertyprotected property_vertical" data-toggle="collapse" data-target=".property_vertical .collapse">
                                <h2>Vertical pseudo-border. Only applies to supervisor.</h2>
                                <pre>vertical :\PhpOffice\PhpSpreadsheet\Style\Border</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_horizontal"> </a>
                            <div class="element clickable propertyprotected property_horizontal" data-toggle="collapse" data-target=".property_horizontal .collapse">
                                <h2>Horizontal pseudo-border. Only applies to supervisor.</h2>
                                <pre>horizontal :\PhpOffice\PhpSpreadsheet\Style\Border</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Border.html">\PhpOffice\PhpSpreadsheet\Style\Border</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_isSupervisor"> </a>
                            <div class="element clickable propertyprotected property_isSupervisor inherited" data-toggle="collapse" data-target=".property_isSupervisor .collapse">
                                <h2>Supervisor?</h2>
                                <pre>isSupervisor :boolean</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_parent"> </a>
                            <div class="element clickable propertyprotected property_parent inherited" data-toggle="collapse" data-target=".property_parent .collapse">
                                <h2>Parent. Only used for supervisor.</h2>
                                <pre>parent :\PhpOffice\PhpSpreadsheet\Spreadsheet|\PhpOffice\PhpSpreadsheet\Style\Style</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Spreadsheet.html">\PhpOffice\PhpSpreadsheet\Spreadsheet</a>|\PhpOffice\PhpSpreadsheet\Style\Style</code>                                    </div>
                                </div>
                            </div>                            <a id="property_parentPropertyName"> </a>
                            <div class="element clickable propertyprotected property_parentPropertyName inherited" data-toggle="collapse" data-target=".property_parentPropertyName .collapse">
                                <h2>Parent property name.</h2>
                                <pre>parentPropertyName :null|string</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>null|string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Style\Borders"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Style.html">Style</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Style.Borders.html">Borders</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:53 +0000.<br/>
    </footer></body>
</html>
